Package be.ehealth.technicalconnector.config.impl

# Class ConfigurationModuleSSL

java.lang.Object
be.ehealth.technicalconnector.config.impl.ConfigurationModuleSSL

All Implemented Interfaces:
  `ConfigurationModule`

public final class ConfigurationModuleSSL extends Object implements ConfigurationModule
Configuration Module specialized in SSL. Implementation of `ConfigurationModule`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CONNECTOR_CONFIGURATIONMODULE_SSL_VERIFICATIONFLAVOUR`
  `static final String`
  `SSL_VERIFICATION_FLAVOUR_PASSTHROUGH`
  `static final String`
  `SSL_VERIFICATION_FLAVOUR_TRUSTSTORE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConfigurationModuleSSL()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `init(Configuration config)`
  Method that initialise the configuration module.
  `void`
  `unload()`
  Method that restores the configuration module and reset the system to the initial situation.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### CONNECTOR_CONFIGURATIONMODULE_SSL_VERIFICATIONFLAVOUR

    public static final String CONNECTOR_CONFIGURATIONMODULE_SSL_VERIFICATIONFLAVOUR
    See Also:
      - Constant Field Values

  - ### SSL_VERIFICATION_FLAVOUR_PASSTHROUGH

    public static final String SSL_VERIFICATION_FLAVOUR_PASSTHROUGH
    See Also:
      - Constant Field Values

  - ### SSL_VERIFICATION_FLAVOUR_TRUSTSTORE

    public static final String SSL_VERIFICATION_FLAVOUR_TRUSTSTORE
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ConfigurationModuleSSL

    public ConfigurationModuleSSL()

- ## Method Details

  - ### init

    public void init(Configuration config) throws TechnicalConnectorException
    Description copied from interface: `ConfigurationModule`
    Method that initialise the configuration module.
    Specified by:
      `init` in interface `ConfigurationModule`
    Parameters:
      `config` -
    Throws:
      `TechnicalConnectorException`

  - ### unload

    public void unload() throws TechnicalConnectorException
    Description copied from interface: `ConfigurationModule`
    Method that restores the configuration module and reset the system to the initial situation.
    Specified by:
      `unload` in interface `ConfigurationModule`
    Throws:
      `TechnicalConnectorException`